Bug 1219157 - katello-agent install fails on rhel6.3 client
Summary: katello-agent install fails on rhel6.3 client
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent
Version: 6.1.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: sat61-release-notes 1315275
TreeView+ depends on / blocked
 
Reported: 2015-05-06 17:08 UTC by Tazim Kolhar
Modified: 2019-09-12 08:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1315275 (view as bug list)
Environment:
Last Closed: 2016-09-26 18:28:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1981503 None None None Never

Description Tazim Kolhar 2015-05-06 17:08:25 UTC
Description of problem:
katello-agent install fails on rhel6.3 client

Version-Release number of selected component (if applicable):

# rpm -qa | grep foreman
ibm-hs22-02.rhts.eng.brq.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-gce-1.7.2.18-1.el7sat.noarch
foreman-postgresql-1.7.2.18-1.el7sat.noarch
foreman-compute-1.7.2.18-1.el7sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.12-1.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.8-1.el7sat.noarch
foreman-libvirt-1.7.2.18-1.el7sat.noarch
foreman-vmware-1.7.2.18-1.el7sat.noarch
ruby193-rubygem-foreman-redhat_access-0.1.0-1.el7sat.noarch
ruby193-rubygem-foreman-tasks-0.6.12.4-1.el7sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.6-1.el7sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.12-1.el7sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.10-1.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.10-1.el7sat.noarch
foreman-debug-1.7.2.18-1.el7sat.noarch
foreman-proxy-1.7.2.4-1.el7sat.noarch
ibm-hs22-02.rhts.eng.brq.redhat.com-foreman-client-1.0-1.noarch
ibm-hs22-02.rhts.eng.brq.redhat.com-foreman-proxy-1.0-2.noarch
foreman-1.7.2.18-1.el7sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.4-1.el7sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el7sat.noarch
foreman-selinux-1.7.2.13-1.el7sat.noarch
puppet-foreman_scap_client-0.3.3-8.el7sat.noarch
foreman-ovirt-1.7.2.18-1.el7sat.noarch

How reproducible:
everytime

Steps to Reproduce:
1.register a client 6.3
2.yum repolist
3.set up a sat6 tools repo on client 6.3
4.yum install -y katello-agent
  Error: Package: qpid-proton-c-0.9-1.20150223.el6.x86_64 (sat6-tools)
           Requires: libcrypto.so.10(libcrypto.so.10)(64bit)
Error: Package: qpid-proton-c-0.9-1.20150223.el6.x86_64 (sat6-tools)
           Requires: libssl.so.10(libssl.so.10)(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Actual results:
installation works

Expected results:
installation fails

Additional info:

Comment 2 Brad Buckingham 2015-07-08 17:59:29 UTC
Is this still an issue with the lastest Satellite 6.1 SNAP?

Comment 3 Tazim Kolhar 2015-07-09 07:41:46 UTC
this issue still exists in latest snap of sat6

# yum repolist
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.
Default_Organization_sat6_tools_sat6_tools_repo          | 2.1 kB     00:00     
Default_Organization_sat6_tools_sat6_tools_repo/primary  |  23 kB     00:00     
Default_Organization_sat6_tools_sat6_tools_repo                         126/126
rhel-6-server-rpms                                       | 2.1 kB     00:00     
rhel-6-server-rpms/primary                               | 9.7 MB     00:00     
rhel-6-server-rpms                                                    8921/8921
repo id                                         repo name                 status
Default_Organization_sat6_tools_sat6_tools_repo sat6_tools_repo             126
rhel-6-server-rpms                              Red Hat Enterprise Linux  8,921
repolist: 9,047

# yum install -y katello-agent
Error: Package: qpid-proton-c-0.9-4.el6.x86_64 (Default_Organization_sat6_tools_sat6_tools_repo)
           Requires: libcrypto.so.10(libcrypto.so.10)(64bit)
Error: Package: qpid-proton-c-0.9-4.el6.x86_64 (Default_Organization_sat6_tools_sat6_tools_repo)
           Requires: libssl.so.10(libssl.so.10)(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 4 David O'Brien 2015-08-11 04:58:54 UTC
Is there any workaround or update for this that I can include in the rel notes to guide the customer?

thanks

Comment 6 Brad Buckingham 2015-08-11 15:30:37 UTC
It appears that katello-agent will install on a RHEL 6.3 client, if the following repository is included in the lifecycle environment & content view that the client registers to:
   [rhel-6-server-optional-rpms]
   name = Red Hat Enterprise Linux 6 Server - Optional (RPMs)

Note: this is in addition to the Satellite 6 tools and RHEL 6 server repositories.

Comment 12 Ekin Meroglu 2015-12-06 19:46:45 UTC
Adding Optional repo on a client with 6.3 *EUS* repos does not work, and the issue still stands for clients as those - I did not try, but believe that same is true for 6.5 EUS repos as well. 

But I was able to install and run katello-agent by following these steps:

- Manually update openssl package to openssl-1.0.1e-42.el6.x86_64.rpm
- Edit rhsm.conf to apply the solution mentioned here: 
https://access.redhat.com/solutions/2046473
- Install katello-agent for sat-tools repo.

Once katello-agent is installed, I can see the goferd is up and running.

Comment 13 David O'Brien 2016-04-18 00:48:14 UTC
Reset docs contact <> daobrien


Note You need to log in before you can comment on or make changes to this bug.